Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

r7934@agentz-office: agentz | 2008-03-08 18:31:15 +0800

 [gmake-db] updated inc using the latest Module::Install


git-svn-id: http://svn.openfoundry.org/makefileparser/branches/gmake-db@137 62301735-6e02-0410-bc6c-954258690ed4
  • Loading branch information...
commit bcbd30bbff068d603093a647d86acced3fd39ef0 1 parent 8d646b0
agentz authored
View
3  Changes
@@ -1,5 +1,8 @@
Revision history for Perl extension Makefile::Parser.
+0.201 2008-03-08
+* Added t/lib from the mdom repos.
+
0.20 2008-03-07
* added Makefile::Parser::GmakeDB and Makefile::AST
View
14 META.yml
@@ -1,8 +1,16 @@
---
abstract: A simple parser for Makefiles
-author: Agent Zhang, <agentzh@gmail.com>
+author:
+ - Agent Zhang, <agentzh@gmail.com>
+build_requires:
+ Cwd: 3.12
+ File::Spec: 3.12
+ File::Temp: 0.16
+ FindBin: 1.47
+ IPC::Run3: 0.036
+ Test::More: 0.62
distribution_type: module
-generated_by: Module::Install version 0.67
+generated_by: Module::Install version 0.68
license: perl
meta-spec:
url: http://module-build.sourceforge.net/META-spec-v1.3.html
@@ -21,4 +29,4 @@ requires:
Makefile::DOM: 0.001
Text::Balanced: 0
perl: 5.004
-version: 0.20
+version: 0.201
View
7 Makefile.PL
@@ -18,6 +18,13 @@ requires ('Class::Accessor::Fast');
requires ('Cwd');
requires ('Makefile::DOM' => '0.001');
+build_requires ('Test::More' => '0.62');
+build_requires ('IPC::Run3' => '0.036');
+build_requires ('File::Temp' => '0.16');
+build_requires ('File::Spec' => '3.12');
+build_requires ('Cwd' => '3.12');
+build_requiers ('FindBin' => '1.47');
+
use_test_base;
auto_install;
View
3  README
@@ -2,7 +2,8 @@ NAME
Makefile::Parser - A simple parser for Makefiles
VERSION
- This document describes Makefile::Parser 0.20 released on March 7, 2008.
+ This document describes Makefile::Parser 0.201 released on March 8,
+ 2008.
SYNOPSIS
use Makefile::Parser;
View
2  inc/Module/Install.pm
@@ -28,7 +28,7 @@ BEGIN {
# This is not enforced yet, but will be some time in the next few
# releases once we can make sure it won't clash with custom
# Module::Install extensions.
- $VERSION = '0.67';
+ $VERSION = '0.68';
}
# Whether or not inc::Module::Install is actually loaded, the
View
2  inc/Module/Install/AutoInstall.pm
@@ -6,7 +6,7 @@ use Module::Install::Base;
use vars qw{$VERSION $ISCORE @ISA};
BEGIN {
- $VERSION = '0.67';
+ $VERSION = '0.68';
$ISCORE = 1;
@ISA = qw{Module::Install::Base};
}
View
2  inc/Module/Install/Base.pm
@@ -1,7 +1,7 @@
#line 1
package Module::Install::Base;
-$VERSION = '0.67';
+$VERSION = '0.68';
# Suspend handler for "redefined" warnings
BEGIN {
View
2  inc/Module/Install/Can.pm
@@ -11,7 +11,7 @@ use ExtUtils::MakeMaker ();
use vars qw{$VERSION $ISCORE @ISA};
BEGIN {
- $VERSION = '0.67';
+ $VERSION = '0.68';
$ISCORE = 1;
@ISA = qw{Module::Install::Base};
}
View
2  inc/Module/Install/Fetch.pm
@@ -6,7 +6,7 @@ use Module::Install::Base;
use vars qw{$VERSION $ISCORE @ISA};
BEGIN {
- $VERSION = '0.67';
+ $VERSION = '0.68';
$ISCORE = 1;
@ISA = qw{Module::Install::Base};
}
View
2  inc/Module/Install/Include.pm
@@ -6,7 +6,7 @@ use Module::Install::Base;
use vars qw{$VERSION $ISCORE @ISA};
BEGIN {
- $VERSION = '0.67';
+ $VERSION = '0.68';
$ISCORE = 1;
@ISA = qw{Module::Install::Base};
}
View
2  inc/Module/Install/Makefile.pm
@@ -7,7 +7,7 @@ use ExtUtils::MakeMaker ();
use vars qw{$VERSION $ISCORE @ISA};
BEGIN {
- $VERSION = '0.67';
+ $VERSION = '0.68';
$ISCORE = 1;
@ISA = qw{Module::Install::Base};
}
View
2  inc/Module/Install/Metadata.pm
@@ -6,7 +6,7 @@ use Module::Install::Base;
use vars qw{$VERSION $ISCORE @ISA};
BEGIN {
- $VERSION = '0.67';
+ $VERSION = '0.68';
$ISCORE = 1;
@ISA = qw{Module::Install::Base};
}
View
2  inc/Module/Install/Scripts.pm
@@ -7,7 +7,7 @@ use File::Basename ();
use vars qw{$VERSION $ISCORE @ISA};
BEGIN {
- $VERSION = '0.67';
+ $VERSION = '0.68';
$ISCORE = 1;
@ISA = qw{Module::Install::Base};
}
View
2  inc/Module/Install/Win32.pm
@@ -6,7 +6,7 @@ use Module::Install::Base;
use vars qw{$VERSION $ISCORE @ISA};
BEGIN {
- $VERSION = '0.67';
+ $VERSION = '0.68';
$ISCORE = 1;
@ISA = qw{Module::Install::Base};
}
View
2  inc/Module/Install/WriteAll.pm
@@ -6,7 +6,7 @@ use Module::Install::Base;
use vars qw{$VERSION $ISCORE @ISA};
BEGIN {
- $VERSION = '0.67';
+ $VERSION = '0.68';
$ISCORE = 1;
@ISA = qw{Module::Install::Base};
}
View
4 lib/Makefile/Parser.pm
@@ -11,7 +11,7 @@ use Text::Balanced qw( gen_extract_tagged );
#our $Debug = 0;
our $Strict = 0;
-our $VERSION = '0.20';
+our $VERSION = '0.201';
our $Error;
our $Runtime = undef;
@@ -867,7 +867,7 @@ Makefile::Parser - A simple parser for Makefiles
=head1 VERSION
-This document describes Makefile::Parser 0.20 released on March 7, 2008.
+This document describes Makefile::Parser 0.201 released on March 8, 2008.
=head1 SYNOPSIS
View
2  lib/Makefile/Parser/GmakeDB.pm
@@ -10,7 +10,7 @@ use List::MoreUtils qw( none );
use MDOM::Document::Gmake;
use Makefile::AST;
-our $VERSION = '0.20';
+our $VERSION = '0.201';
# XXX This should not be hard-coded this way...
our @Suffixes = (
Please sign in to comment.
Something went wrong with that request. Please try again.